Bug 245398 - DRI works only as root
Summary: DRI works only as root
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810   
(Show other bugs)
Version: 7
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-22 20:40 UTC by Frank Cox
Modified: 2018-04-11 16:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-31 14:54:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Cox 2007-06-22 20:40:38 UTC
Description of problem:
when I run glxgears stuff on this computer (which is an Intel 82915G/GV/910GL
Integrated Graphics Controller) I get this:

libGL error: open DRM failed (Operation not permitted)
libGL error: reverting to (slow) indirect rendering

When I run glxgears as root, it works as expected (without this error).

This machine was running FC6 and has been upgraded to F7.  glxgears worked
without this error under FC6.

I don't know if this error is present on something that was initially installed
with F7.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.0.0-4.fc7


How reproducible:
Every time


Steps to Reproduce:
1. Upgrade from FC6 to F7
2. Run glxgears as a user
3.
  
Actual results:
libGL error: open DRM failed (Operation not permitted)
libGL error: reverting to (slow) indirect rendering


Expected results:
No error message

Additional info:
My /etc/X11/xorg.conf contains this:

Section "DRI"
        Group        0
        Mode         0666
EndSection

Removing the "Group 0" line solves this problem and the error message no longer
appears.  I don't know if this is the correct way to fix this or not, but it
appears to work, so far.

Comment 1 Adam Jackson 2007-06-27 13:42:59 UTC
That's very strange.  Mode 0666 should allow _anyone_ who can connect to the X
server to use DRI, regardless of group membership.

What are the permissions on /dev/dri/card0 when you can't use DRI as a normal user?

Comment 2 Frank Cox 2007-06-27 15:04:18 UTC
crw------- 1 frankcox root 226, 0 2007-06-14 00:03 card0

Comment 3 Jesse Barnes 2008-01-10 23:03:38 UTC
Maybe there's something else that's claimed DRM master status?  Doesn't sound 
like an intel bug at any rate...

Comment 4 Matěj Cepl 2008-01-15 00:01:08 UTC
Possible relation to bug 428078.

Comment 5 denis ivanov 2008-01-30 22:35:32 UTC
Seems fixed in today's fedora-devel...


Note You need to log in before you can comment on or make changes to this bug.